Package org.apache.storm.generated

# Interface Nimbus.Iface

All Known Implementing Classes:
  `LocalCluster`, `Nimbus`, `Nimbus.Client`

Enclosing class:
  Nimbus

public static interface Nimbus.Iface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `activate(String name)`
  `BeginDownloadResult`
  `beginBlobDownload(String key)`
  `String`
  `beginCreateBlob(String key, SettableBlobMeta meta)`
  `String`
  `beginFileUpload()`
  `String`
  `beginUpdateBlob(String key)`
  `void`
  `cancelBlobUpload(String session)`
  `void`
  `createStateInZookeeper(String key)`
  `void`
  `deactivate(String name)`
  `void`
  `debug(String name, String component, boolean enable, double samplingPercentage)`
  Enable/disable logging the tuples generated in topology via an internal EventLogger bolt.
  `void`
  `deleteBlob(String key)`
  `ByteBuffer`
  `downloadBlobChunk(String session)`
  `ByteBuffer`
  `downloadChunk(String id)`
  `void`
  `finishBlobUpload(String session)`
  `void`
  `finishFileUpload(String location)`
  `ReadableBlobMeta`
  `getBlobMeta(String key)`
  `int`
  `getBlobReplication(String key)`
  `ClusterSummary`
  `getClusterInfo()`
  `ComponentPageInfo`
  `getComponentPageInfo(String topology_id, String component_id, String window, boolean is_include_sys)`
  `List<ProfileRequest>`
  `getComponentPendingProfileActions(String id, String component_id, ProfileAction action)`
  `NimbusSummary`
  `getLeader()`
  `LogConfig`
  `getLogConfig(String name)`
  `String`
  `getNimbusConf()`
  `List<OwnerResourceSummary>`
  `getOwnerResourceSummaries(String owner)`
  `SupervisorAssignments`
  `getSupervisorAssignments(String node)`
  Get assigned assignments for a specific supervisor
  `SupervisorPageInfo`
  `getSupervisorPageInfo(String id, String host, boolean is_include_sys)`
  `StormTopology`
  `getTopology(String id)`
  Returns the compiled topology that contains ackers and metrics consumsers.
  `String`
  `getTopologyConf(String id)`
  `TopologyHistoryInfo`
  `getTopologyHistory(String user)`
  `TopologyInfo`
  `getTopologyInfo(String id)`
  `TopologyInfo`
  `getTopologyInfoByName(String name)`
  `TopologyInfo`
  `getTopologyInfoByNameWithOpts(String name, GetInfoOptions options)`
  `TopologyInfo`
  `getTopologyInfoWithOpts(String id, GetInfoOptions options)`
  `TopologyPageInfo`
  `getTopologyPageInfo(String id, String window, boolean is_include_sys)`
  `List<TopologySummary>`
  `getTopologySummaries()`
  `TopologySummary`
  `getTopologySummary(String id)`
  `TopologySummary`
  `getTopologySummaryByName(String name)`
  `StormTopology`
  `getUserTopology(String id)`
  Returns the user specified topology as submitted originally.
  `boolean`
  `isRemoteBlobExists(String blobKey)`
  Decide if the blob is removed from cluster.
  `boolean`
  `isTopologyNameAllowed(String name)`
  `void`
  `killTopology(String name)`
  `void`
  `killTopologyWithOpts(String name, KillOptions options)`
  `ListBlobsResult`
  `listBlobs(String session)`
  `void`
  `processWorkerMetrics(WorkerMetrics metrics)`
  `void`
  `rebalance(String name, RebalanceOptions options)`
  `void`
  `sendSupervisorWorkerHeartbeat(SupervisorWorkerHeartbeat heatbeat)`
  Send supervisor local worker heartbeat when a supervisor is unreachable
  `void`
  `sendSupervisorWorkerHeartbeats(SupervisorWorkerHeartbeats heartbeats)`
  Send supervisor worker heartbeats for a specific supervisor
  `void`
  `setBlobMeta(String key, SettableBlobMeta meta)`
  `void`
  `setLogConfig(String name, LogConfig config)`
  `void`
  `setWorkerProfiler(String id, ProfileRequest profileRequest)`
  `void`
  `submitTopology(String name, String uploadedJarLocation, String jsonConf, StormTopology topology)`
  `void`
  `submitTopologyWithOpts(String name, String uploadedJarLocation, String jsonConf, StormTopology topology, SubmitOptions options)`
  `int`
  `updateBlobReplication(String key, int replication)`
  `void`
  `uploadBlobChunk(String session, ByteBuffer chunk)`
  `void`
  `uploadChunk(String location, ByteBuffer chunk)`
  `void`
  `uploadNewCredentials(String name, Credentials creds)`

- ## Method Details

  - ### submitTopology

    void submitTopology(String name, String uploadedJarLocation, String jsonConf, StormTopology topology) throws AlreadyAliveException, InvalidTopologyException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AlreadyAliveException`
      `InvalidTopologyException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### submitTopologyWithOpts

    void submitTopologyWithOpts(String name, String uploadedJarLocation, String jsonConf, StormTopology topology, SubmitOptions options) throws AlreadyAliveException, InvalidTopologyException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AlreadyAliveException`
      `InvalidTopologyException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### killTopology

    void killTopology(String name) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### killTopologyWithOpts

    void killTopologyWithOpts(String name, KillOptions options) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### activate

    void activate(String name) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### deactivate

    void deactivate(String name) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### rebalance

    void rebalance(String name, RebalanceOptions options) throws NotAliveException, InvalidTopologyException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `InvalidTopologyException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### setLogConfig

    void setLogConfig(String name, LogConfig config) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getLogConfig

    LogConfig getLogConfig(String name) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### debug

    void debug(String name, String component, boolean enable, double samplingPercentage) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Enable/disable logging the tuples generated in topology via an internal EventLogger bolt. The component name is optional and if null or empty, the debug flag will apply to the entire topology. The 'samplingPercentage' will limit loggging to a percentage of generated tuples.
    Parameters:
      `name` -
      `component` -
      `enable` -
      `samplingPercentage` -
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### setWorkerProfiler

    void setWorkerProfiler(String id, ProfileRequest profileRequest) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getComponentPendingProfileActions

    List<ProfileRequest> getComponentPendingProfileActions(String id, String component_id, ProfileAction action) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### uploadNewCredentials

    void uploadNewCredentials(String name, Credentials creds) throws NotAliveException, InvalidTopologyException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `InvalidTopologyException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### beginCreateBlob

    String beginCreateBlob(String key, SettableBlobMeta meta) throws AuthorizationException, KeyAlreadyExistsException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `KeyAlreadyExistsException`
      `org.apache.storm.thrift.TException`

  - ### beginUpdateBlob

    String beginUpdateBlob(String key) throws AuthorizationException, KeyNotFoundException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `KeyNotFoundException`
      `org.apache.storm.thrift.TException`

  - ### uploadBlobChunk

    void uploadBlobChunk(String session, ByteBuffer chunk) throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### finishBlobUpload

    void finishBlobUpload(String session) throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### cancelBlobUpload

    void cancelBlobUpload(String session) throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getBlobMeta

    ReadableBlobMeta getBlobMeta(String key) throws AuthorizationException, KeyNotFoundException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `KeyNotFoundException`
      `org.apache.storm.thrift.TException`

  - ### setBlobMeta

    void setBlobMeta(String key, SettableBlobMeta meta) throws AuthorizationException, KeyNotFoundException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `KeyNotFoundException`
      `org.apache.storm.thrift.TException`

  - ### beginBlobDownload

    BeginDownloadResult beginBlobDownload(String key) throws AuthorizationException, KeyNotFoundException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `KeyNotFoundException`
      `org.apache.storm.thrift.TException`

  - ### downloadBlobChunk

    ByteBuffer downloadBlobChunk(String session) throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### deleteBlob

    void deleteBlob(String key) throws AuthorizationException, KeyNotFoundException, IllegalStateException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `KeyNotFoundException`
      `IllegalStateException`
      `org.apache.storm.thrift.TException`

  - ### listBlobs

    ListBlobsResult listBlobs(String session) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getBlobReplication

    int getBlobReplication(String key) throws AuthorizationException, KeyNotFoundException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `KeyNotFoundException`
      `org.apache.storm.thrift.TException`

  - ### updateBlobReplication

    int updateBlobReplication(String key, int replication) throws AuthorizationException, KeyNotFoundException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `KeyNotFoundException`
      `org.apache.storm.thrift.TException`

  - ### createStateInZookeeper

    void createStateInZookeeper(String key) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### beginFileUpload

    String beginFileUpload() throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### uploadChunk

    void uploadChunk(String location, ByteBuffer chunk) throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### finishFileUpload

    void finishFileUpload(String location) throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### downloadChunk

    ByteBuffer downloadChunk(String id) throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getNimbusConf

    String getNimbusConf() throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getClusterInfo

    ClusterSummary getClusterInfo() throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getTopologySummaries

    List<TopologySummary> getTopologySummaries() throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getTopologySummaryByName

    TopologySummary getTopologySummaryByName(String name) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getTopologySummary

    TopologySummary getTopologySummary(String id) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getLeader

    NimbusSummary getLeader() throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### isTopologyNameAllowed

    boolean isTopologyNameAllowed(String name) throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getTopologyInfoByName

    TopologyInfo getTopologyInfoByName(String name) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getTopologyInfo

    TopologyInfo getTopologyInfo(String id) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getTopologyInfoByNameWithOpts

    TopologyInfo getTopologyInfoByNameWithOpts(String name, GetInfoOptions options) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getTopologyInfoWithOpts

    TopologyInfo getTopologyInfoWithOpts(String id, GetInfoOptions options) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getTopologyPageInfo

    TopologyPageInfo getTopologyPageInfo(String id, String window, boolean is_include_sys) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getSupervisorPageInfo

    SupervisorPageInfo getSupervisorPageInfo(String id, String host, boolean is_include_sys) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getComponentPageInfo

    ComponentPageInfo getComponentPageInfo(String topology_id, String component_id, String window, boolean is_include_sys) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getTopologyConf

    String getTopologyConf(String id) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getTopology

    StormTopology getTopology(String id) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Returns the compiled topology that contains ackers and metrics consumsers. Compare `getUserTopology(String id)`.
    Parameters:
      `id` -
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getUserTopology

    StormTopology getUserTopology(String id) throws NotAliveException, AuthorizationException, org.apache.storm.thrift.TException
    Returns the user specified topology as submitted originally. Compare `getTopology(String id)`.
    Parameters:
      `id` -
    Throws:
      `NotAliveException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getTopologyHistory

    TopologyHistoryInfo getTopologyHistory(String user) throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getOwnerResourceSummaries

    List<OwnerResourceSummary> getOwnerResourceSummaries(String owner) throws AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### getSupervisorAssignments

    SupervisorAssignments getSupervisorAssignments(String node) throws AuthorizationException, org.apache.storm.thrift.TException
    Get assigned assignments for a specific supervisor
    Parameters:
      `node` -
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### sendSupervisorWorkerHeartbeats

    void sendSupervisorWorkerHeartbeats(SupervisorWorkerHeartbeats heartbeats) throws AuthorizationException, org.apache.storm.thrift.TException
    Send supervisor worker heartbeats for a specific supervisor
    Parameters:
      `heartbeats` -
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### sendSupervisorWorkerHeartbeat

    void sendSupervisorWorkerHeartbeat(SupervisorWorkerHeartbeat heatbeat) throws AuthorizationException, NotAliveException, org.apache.storm.thrift.TException
    Send supervisor local worker heartbeat when a supervisor is unreachable
    Parameters:
      `heatbeat` -
    Throws:
      `AuthorizationException`
      `NotAliveException`
      `org.apache.storm.thrift.TException`

  - ### processWorkerMetrics

    void processWorkerMetrics(WorkerMetrics metrics) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### isRemoteBlobExists

    boolean isRemoteBlobExists(String blobKey) throws AuthorizationException, org.apache.storm.thrift.TException
    Decide if the blob is removed from cluster.
    Parameters:
      `blobKey` -
    Throws:
      `AuthorizationException`
      `org.apache.storm.thrift.TException`